--- title: "deleteTargetGroups" slug: "networking-vloadbalancer-targetgroup-deletetargetgroups" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-targetgroup-deletetargetgroups" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteTargetGroups Available in VPC Delete a target group. You can't delete target groups in use. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/deleteTargetGroups | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the target group to delete - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `targetGroupNoList.N` | List[String] | Required | Number list of the target group - `targetGroupNo` can be obtained through [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) - targetGroupNoList.1=1234&targetGroupNoList.2=2345 | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/deleteTargetGroups?regionCode=KR&targetGroupNoList.1=*******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetGroupList](/docs/en/common-vapidatatype-targetgrouplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 9b6f0a2f-abeb-49e5-bd25-a3aa365c4566 0 success 1 ******* YOUR_TARGET_GROUP VSVR Server (VPC) ***** HTTP HTTP protocol 80 false false RR Round Robin 2024-06-04T10:17:10+0900 KR HTTP HTTP protocol 80 / GET HTTP GET Method 30 2 2 ```